Skip to main content
POST
/
api
/
public
/
apps
/
{appId}
/
events
/
product
Product upsert event
curl --request POST \
  --url https://api.vambe.me/api/public/apps/{appId}/events/product \
  --header 'Content-Type: application/json' \
  --header 'x-vambe-signature: <x-vambe-signature>' \
  --header 'x-vambe-timestamp: <x-vambe-timestamp>' \
  --data '
{
  "product": {
    "external_id": "<string>",
    "name": "<string>",
    "description": "",
    "price": 1,
    "currency": "<string>",
    "sku": "<string>",
    "file_url": "<string>",
    "image_urls": [
      "<string>"
    ],
    "metadata": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}
'
const options = {
method: 'POST',
headers: {
'x-vambe-timestamp': '<x-vambe-timestamp>',
'x-vambe-signature': '<x-vambe-signature>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
product: {
external_id: '<string>',
name: '<string>',
description: '',
price: 1,
currency: '<string>',
sku: '<string>',
file_url: '<string>',
image_urls: ['<string>'],
metadata: [{key: '<string>', value: '<string>'}]
}
})
};

fetch('https://api.vambe.me/api/public/apps/{appId}/events/product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.vambe.me/api/public/apps/{appId}/events/product"

payload = { "product": {
"external_id": "<string>",
"name": "<string>",
"description": "",
"price": 1,
"currency": "<string>",
"sku": "<string>",
"file_url": "<string>",
"image_urls": ["<string>"],
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
]
} }
headers = {
"x-vambe-timestamp": "<x-vambe-timestamp>",
"x-vambe-signature": "<x-vambe-signature>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

Headers

x-vambe-timestamp
string
required

Unix epoch seconds when the request was signed. Requests older than 5 minutes are rejected.

x-vambe-signature
string
required

Hex HMAC-SHA256 of ${x-vambe-timestamp}.${rawBody} using the app signing secret.

Path Parameters

appId
string
required

Body

application/json
product
object
required
external_store_id
string
event_id
string

Response

201 - undefined